org.jfree.chart.renderer

## Class AreaRendererEndType

- java.lang.Object
- - org.jfree.chart.renderer.AreaRendererEndType

All Implemented Interfaces:
  java.io.Serializable

    public final class AreaRendererEndType
    extends java.lang.Object
    implements java.io.Serializable

An enumeration of the 'end types' for an area renderer.

See Also:
  Serialized Form

### Field Summary

Fields
`static AreaRendererEndType` `LEVEL` The area is levelled at the first or last value.
`static AreaRendererEndType` `TAPER` The area tapers from the first or last value down to zero.
`static AreaRendererEndType` `TRUNCATE` The area is truncated at the first or last value.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TAPER

    public static final AreaRendererEndType TAPER

The area tapers from the first or last value down to zero.

#### TRUNCATE

    public static final AreaRendererEndType TRUNCATE

The area is truncated at the first or last value.

#### LEVEL

    public static final AreaRendererEndType LEVEL

The area is levelled at the first or last value.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string.

#### equals

    public boolean equals(java.lang.Object obj)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.